﻿IF OBJECT_ID(N'__EFMigrationsHistory') IS NULL
BEGIN
    CREATE TABLE [__EFMigrationsHistory] (
        [MigrationId] nvarchar(150) NOT NULL,
        [ProductVersion] nvarchar(32) NOT NULL,
        CONSTRAINT [PK___EFMigrationsHistory] PRIMARY KEY ([MigrationId])
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20180213132800_init0')
BEGIN
    CREATE TABLE [Inscription] (
        [ID] int NOT NULL IDENTITY,
        [Campus] nvarchar(max) NOT NULL,
        [Email] nvarchar(max) NOT NULL,
        [Langue] nvarchar(max) NOT NULL,
        [Naissance] datetime2 NOT NULL,
        [Nom] nvarchar(max) NOT NULL,
        [NomEcole] nvarchar(max) NULL,
        [Prenom] nvarchar(max) NOT NULL,
        [Profession] nvarchar(max) NULL,
        [Telephone] nvarchar(max) NOT NULL,
        CONSTRAINT [PK_Inscription] PRIMARY KEY ([ID])
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20180213132800_init0')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20180213132800_init0', N'2.0.1-rtm-125');
END;

GO

